Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/27/2021 in all areas

  1. I'd probably approach it like so: (defun c:foo (/ _getlength l s) (defun _getlength (e / ep) (if (vl-catch-all-error-p (setq ep (vl-catch-all-apply 'vlax-curve-getendparam (list e)))) 0. (vlax-curve-getdistatparam e ep) ) ) (if (setq s (ssget "_X" '((0 . "~INSERT")))) (foreach e (mapcar 'cadr (ssnamex s)) (if (> (- (setq l (_getlength e)) (fix l)) 0) (entmod (append (entget e) '((62 . 1)))) ) ) ) (princ) )
    2 points
  2. Add this line and you don't have to worry about the current layer changing:
    1 point
  3. BUB-NOTE.LSPI downloaded it and added an option for Caligraphy Style in Sept'03. Haven't used it in many years.
    1 point
  4. like i said its adjustable. It all depends on how accurate you wanted it. Yes you put in precision distances. when its running the code its finding a difference of 2.27373675443232e-013 witch is 0.0000000000002273 a very small number but its still greater then 0. so it changes the entity red. if you update Ronjon's code to have a tolerance (if (and (> (- (setq l (_getlength e)) (fix l)) 0.001) (< (- l (fix l)) 0.999)) or my code (if (and (> (- len flen) 0.001) (< (- len flen) 0.999)) this is what you will get
    1 point
×
×
  • Create New...